/* SPDX-License-Identifier: GPL-2.0+ */
/*
 * Definitions from the Linux kernel's private header
 * drivers/hid/hid-ids.h
 */
#ifndef HID_IDS_H_FILE
#define HID_IDS_H_FILE

/* Shenzhen Huion Trend Technology Co.,Ltd. */
#define USB_VENDOR_ID_HUION		0x256c
#define USB_DEVICE_ID_HUION_TABLET	0x006e
#define USB_DEVICE_ID_HUION_TABLET2	0x006d
#define USB_DEVICE_ID_HUION_TABLET3	0x0060
#define USB_DEVICE_ID_HUION_TABLET4	0x0061
#define USB_DEVICE_ID_HUION_TABLET5	0x0062
#define USB_DEVICE_ID_HUION_TABLET6	0x0063
#define USB_DEVICE_ID_HUION_TABLET7	0x0064
#define USB_DEVICE_ID_HUION_TABLET8	0x0065
#define USB_DEVICE_ID_HUION_TABLET9	0x0066
#define USB_DEVICE_ID_HUION_TABLET10	0x0067
#define USB_DEVICE_ID_HUION_TABLET11	0x0068
#define USB_DEVICE_ID_HUION_TABLET12    0x0069
#define USB_DEVICE_ID_HUION_TABLET13	0x006a
#define USB_DEVICE_ID_HUION_TABLET14	0x006b
#define USB_DEVICE_ID_HUION_TABLET15	0x006c
#define USB_DEVICE_ID_HUION_TABLET16	0x006f
#define USB_DEVICE_ID_HUION_TABLET17	0x2000
#define USB_DEVICE_ID_HUION_TABLET18	0x2001
#define USB_DEVICE_ID_HUION_TABLET19    0x2002
#define USB_DEVICE_ID_HUION_TABLET20	0x2003
#define USB_DEVICE_ID_HUION_TABLET21	0x2004
#define USB_DEVICE_ID_HUION_TABLET22	0x2005
#define USB_DEVICE_ID_HUION_TABLET23	0x2006
#define USB_DEVICE_ID_HUION_TABLET24	0x2007
#define USB_DEVICE_ID_HUION_TABLET25	0x2008
#define USB_DEVICE_ID_HUION_TABLET26	0x2009
#define USB_DEVICE_ID_HUION_TABLET27	0x200A
#define USB_DEVICE_ID_HUION_TABLET28	0x200B
#define USB_DEVICE_ID_HUION_TABLET29	0x200C
#define USB_DEVICE_ID_HUION_TABLET30	0x200D
#define USB_DEVICE_ID_HUION_TABLET31	0x200E
#define USB_DEVICE_ID_HUION_TABLET32	0x200F
#define USB_DEVICE_ID_HUION_TABLET33	0x2010
#define USB_DEVICE_ID_HUION_TABLET34	0x2011
#define USB_DEVICE_ID_HUION_TABLET35	0x2012
#define USB_DEVICE_ID_HUION_TABLET36	0x2013
#define USB_DEVICE_ID_HUION_TABLET37	0x2014
#define USB_DEVICE_ID_HUION_TABLET38	0x2015
#define USB_DEVICE_ID_HUION_TABLET39	0x2016
#define USB_DEVICE_ID_HUION_TABLET40	0x2017
#define USB_DEVICE_ID_HUION_TABLET41	0x2018
#define USB_DEVICE_ID_HUION_TABLET42	0x2019
#define USB_DEVICE_ID_HUION_TABLET43	0x201A
#define USB_DEVICE_ID_HUION_TABLET44	0x201B
#define USB_DEVICE_ID_HUION_TABLET45	0x201C
#define USB_DEVICE_ID_HUION_TABLET46	0x201D
#define USB_DEVICE_ID_HUION_TABLET47	0x201E
#define USB_DEVICE_ID_HUION_TABLET48	0x201F

#define USB_VENDOR_ID_KYE		0x0458
#define USB_DEVICE_ID_KYE_ERGO_525V	0x0087
#define USB_DEVICE_ID_GENIUS_GILA_GAMING_MOUSE	0x0138
#define USB_DEVICE_ID_GENIUS_MANTICORE	0x0153
#define USB_DEVICE_ID_GENIUS_GX_IMPERATOR	0x4018
#define USB_DEVICE_ID_KYE_GPEN_560	0x5003
#define USB_DEVICE_ID_KYE_EASYPEN_I405X	0x5010
#define USB_DEVICE_ID_KYE_MOUSEPEN_I608X	0x5011
#define USB_DEVICE_ID_KYE_MOUSEPEN_I608X_V2	0x501a
#define USB_DEVICE_ID_KYE_EASYPEN_M610X	0x5013
#define USB_DEVICE_ID_KYE_PENSKETCH_M912	0x5015
#define USB_DEVICE_ID_KYE_EASYPEN_M406XE	0x5019

#define USB_VENDOR_ID_TRUST             0x145f
#define USB_DEVICE_ID_TRUST_PANORA_TABLET   0x0212

#define USB_VENDOR_ID_UCLOGIC		0x5543
#define USB_DEVICE_ID_UCLOGIC_TABLET_PF1209	0x0042
#define USB_DEVICE_ID_UCLOGIC_TABLET_KNA5	0x6001
#define USB_DEVICE_ID_UCLOGIC_TABLET_WP4030U	0x0003
#define USB_DEVICE_ID_UCLOGIC_TABLET_WP5540U	0x0004
#define USB_DEVICE_ID_UCLOGIC_TABLET_WP8060U	0x0005
#define USB_DEVICE_ID_UCLOGIC_TABLET_WP1062	0x0064
#define USB_DEVICE_ID_UCLOGIC_WIRELESS_TABLET_TWHL850	0x0522
#define USB_DEVICE_ID_UCLOGIC_TABLET_TWHA60	0x0781
#define USB_DEVICE_ID_UCLOGIC_DRAWIMAGE_G3	0x3031

#define USB_DEVICE_ID_UCLOGIC_UGEE_TABLET_81	0x0081
#define USB_DEVICE_ID_UCLOGIC_UGEE_TABLET_45	0x0045
#define USB_DEVICE_ID_UCLOGIC_UGEE_TABLET_47	0x0047

#define USB_DEVICE_ID_YIYNOVA_TABLET	0x004d

/* Known as Zippy Technology Corp. in usbutils */
#define USB_VENDOR_ID_POLOSTAR 0x099a
#define USB_DEVICE_ID_POLOSTAR_TABLET_PT1001 0x2620

/* UGTizer Technology Corp. */
#define USB_VENDOR_ID_UGTIZER			0x2179
#define USB_DEVICE_ID_UGTIZER_TABLET_GP0610	0x0053
#define USB_DEVICE_ID_UGTIZER_TABLET_GT5040	0x0077

/* Ugee Technology / XP-Pen Technology CO. */
#define USB_VENDOR_ID_UGEE			0x28bd
#define USB_DEVICE_ID_UGEE_PARBLO_A610_PRO	0x1903
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_G540	0x0075
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_G640	0x0094
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO01	0x0042
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO01_V2	0x0905
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO_L	0x0935
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO_PRO_MW	0x0934
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO_PRO_S	0x0909
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_DECO_PRO_SW	0x0933
#define USB_DEVICE_ID_UGEE_XPPEN_TABLET_STAR06	0x0078
#define USB_DEVICE_ID_UGEE_TABLET_G5		0x0074
#define USB_DEVICE_ID_UGEE_TABLET_EX07S		0x0071
#define USB_DEVICE_ID_UGEE_TABLET_RAINBOW_CV720	0x0055

/* ViewSonic Corporation */
#define USB_VENDOR_ID_VIEWSONIC			0x0543
#define USB_DEVICE_ID_VIEWSONIC_PD1011		0xe621

/* Signotec GmbH */
#define USB_VENDOR_ID_SIGNOTEC			0x2133
#define USB_DEVICE_ID_SIGNOTEC_VIEWSONIC_PD1011	0x0018

#endif
